Last Comment Bug 658603 - Old Firefox for mobile beta release notes return 404
: Old Firefox for mobile beta release notes return 404
Status: RESOLVED FIXED
: mobile, regression
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: unspecified
: ARM All
: -- normal
: 3.9
Assigned To: christian
: www-mozilla-com
:
Mentors:
http://www.mozilla.com/en-US/mobile/4...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-20 11:18 PDT by Matt Brubeck (:mbrubeck)
Modified: 2012-08-23 00:16 PDT (History)
7 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Comment 1 Laura Forrest 2011-06-29 11:41:35 PDT
Hey Christian - any idea what's happening here? Would be nice to have these links function to keep a record somewhere.
Comment 2 christian 2011-06-29 12:10:11 PDT
Not a clue. I can look into it later today though
Comment 3 Terry R. 2011-07-11 14:57:28 PDT
Christian, did you figure out what the issue was?  If so, can you fix the links so I can close this bug?  Thank you.
Comment 4 mcbmoz 2011-08-26 18:55:20 PDT
ping Christian:-)
Comment 5 christian 2011-08-27 00:16:39 PDT
Ah, I thought someone else broke these but it was me.

Fixed in r94374, pushed live in r94376.
Comment 6 christian 2011-08-27 00:22:18 PDT
FWIW, the same issue was happening with old desktop beta release notes as well. I made the redirect not happen for anything less than or equal to 4.0b##, which lets the request pass through to the old files instead of being redirected to a generic #.#beta page. It should work for older versions like 2.0.0b## already, as those forms aren't matched by the redirect regex (as it is only looking for modern [major].[minor]b[some number]).

Note You need to log in before you can comment on or make changes to this bug.